Subject: [bug#51427] [PATCH] nix: libstore: Do not remove unused links when deleting specific items.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 22 Jul 2022 14:14:14 +0200

Hi,

Liliana Marie Prikler <[email-masked]> skribis:

> I don't think deleting links will ever be fast on that disk.  But what
> I've been saying the whole time is that I don't always need the links
> deleted.  I think adding "expert" switches to skip these phases might
> actually be enough – after all, if I ever do want to run a full GC, the
> information ought to be the same, no? 

The expert will have to know that skipping that phase will have the
effect of *not* freeing space on the device, so…

Ludo’.